Bug 18747 - Select All in Add Patron Option in Patron Lists only selects the first 20 entries
Summary: Select All in Add Patron Option in Patron Lists only selects the first 20 ent...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor with 1 vote (vote)
Assignee: Owen Leonard
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-07 16:03 UTC by Karen
Modified: 2021-10-16 02:22 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 18747: Select All in Add Patron Option in Patron Lists only selects the first 20 entries (2.13 KB, patch)
2021-08-27 16:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18747: Select All in Add Patron Option in Patron Lists only selects the first 20 entries (2.20 KB, patch)
2021-09-01 12:27 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 18747: Select All in Add Patron Option in Patron Lists only selects the first 20 entries (2.34 KB, patch)
2021-09-18 10:20 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Karen 2017-06-07 16:03:47 UTC
Select all only selects the first 20 records in the Add Patrons option of Patron Lists, even if you change the view to show 50, 100, or all options. The expected behavior is that Select All would select all the options.

To recreate this issue, go to Patrons -> Patron Lists -> Select a patron list -> Select Add Patrons in the Action button menu. Next, select 50, 100 or All entries to show. Then, click on Select All. Only the first 20 entries are selected, not all of the entries on the screen.
Comment 1 Marjorie Barry-Vila 2018-08-21 13:28:07 UTC
Hi,

Problem is still present in 17.05.

Anyone works on this?

Regards,
Marjorie
Comment 2 AspenCat Team 2018-12-12 04:15:36 UTC
We have also noticed this behavior.  It makes batch edits of patrons a clunky process of adding 20 at a time.
Comment 3 Katrin Fischer 2019-02-10 19:26:00 UTC
Still valid.
Comment 4 JaTara Barnes 2021-08-27 15:08:20 UTC
Still valid in 20.05
Comment 5 JaTara Barnes 2021-08-27 15:08:46 UTC
Still valid in 20.05
Comment 6 Owen Leonard 2021-08-27 16:16:32 UTC Comment hidden (obsolete)
Comment 7 sandboxes@biblibre.com 2021-09-01 12:27:58 UTC
Created attachment 124328 [details] [review]
Bug 18747: Select All in Add Patron Option in Patron Lists only selects the first 20 entries

This patch corrects the JavaScript functions for the "select all" and
"clear all" action when viewing patrons in a list. Before this
correction, checkboxes which were previously in hidden table rows would
not be checked.

To test, apply the patch and go to Patrons -> Patron Lists

- View a patron list
- If necessary, add multiple patrons to the list so that the number
  exceeds 20.
- Change the number of entries shown by the DataTable: Show [ 50 ]
  entries.
- Click "Select all." All visible checkboxes should be checked.
- Click "Clear all." All checkboxes should be unchecked.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 Sally 2021-09-01 12:28:37 UTC
Works as described.
Comment 9 Joonas Kylmälä 2021-09-18 10:20:18 UTC
Created attachment 125024 [details] [review]
Bug 18747: Select All in Add Patron Option in Patron Lists only selects the first 20 entries

This patch corrects the JavaScript functions for the "select all" and
"clear all" action when viewing patrons in a list. Before this
correction, checkboxes which were previously in hidden table rows would
not be checked.

To test, apply the patch and go to Patrons -> Patron Lists

- View a patron list
- If necessary, add multiple patrons to the list so that the number
  exceeds 20.
- Change the number of entries shown by the DataTable: Show [ 50 ]
  entries.
- Click "Select all." All visible checkboxes should be checked.
- Click "Clear all." All checkboxes should be unchecked.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 10 Jonathan Druart 2021-09-20 12:46:55 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 11 Kyle M Hall 2021-10-01 18:21:53 UTC
Pushed to 21.05.x for 21.05.05
Comment 12 Fridolin Somers 2021-10-09 02:12:01 UTC
Pushed to 20.11.x for 20.11.11
Comment 13 Victor Grousset/tuxayo 2021-10-16 02:22:31 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.